# Release 22.05 {#sec-release-22.05}

The 22.05 release branch became the stable branch in May, 2022.

## Highlights {#sec-release-22.05-highlights}

This release has the following notable changes:

-   The `programs.waybar.settings.modules` option was removed. Waybar
    modules should now be declared directly under
    `programs.waybar.settings`.

-   Home Manager now partially support translation of texts into
    different languages. Note, the support is quite limited at the
    moment. Specifically, it only applies to parts of the system written
    in the Bash language, such as the `home-manager` command line tool
    and the activation script.

    If you would like to contribute to the translation effort then you
    can do so through the [Home Manager Weblate
    project](https://hosted.weblate.org/projects/home-manager/).

-   A new module, `launchd.agents` was added. Use this to enable
    services based on macOS LaunchAgents.

## State Version Changes {#sec-release-22.05-state-version-changes}

The state version in this release includes the changes below. These
changes are only active if the `home.stateVersion` option is set to
\"22.05\" or later.

-   The [programs.waybar.settings](#opt-programs.waybar.settings) option now allows defining
    modules directly under [programs.waybar.settings](#opt-programs.waybar.settings).
    Defining modules under `programs.waybar.settings.modules` will now
    be an error. For example,

    ``` nix
    programs.waybar.settings.modules."custom/my-module" = { };
    ```

    becomes

    ``` nix
    programs.waybar.settings."custom/my-module" = { };
    ```
